Page MenuHomePhabricator

PHP fatal error on Special:Notifications: Argument 1 passed to EchoEventPresentationModel::getTruncatedTitleText() must be an instance of Title, null given
Closed, ResolvedPublic

Description

When I visit https://en.wikipedia.org/wiki/Special:Notifications I get the following error:

PHP fatal error:
Argument 1 passed to EchoEventPresentationModel::getTruncatedTitleText() must be an instance of Title, null given

It's the same irrespective of device and has been persistent for at least 3 days. I posted at WP:VPT and other's have reported it not being a problem for them. I can provide details of the notifications that I can see via the alarm buttons if that'd be helpful, but I can't see anything particularly unusual in them.

Details

Related Gerrit Patches:
mediawiki/extensions/Thanks : REL1_31Fix canRender and add greppable messages for dynamic keys
mediawiki/extensions/Thanks : wmf/1.31.0-wmf.30Fix canRender and add greppable messages for dynamic keys
mediawiki/extensions/Thanks : masterFix canRender and add greppable messages for dynamic keys

Event Timeline

Smartse created this task.Apr 21 2018, 11:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2018, 11:32 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 21 2018, 1:18 PM
TTO added a subscriber: TTO.Apr 21 2018, 1:18 PM
Aklapper renamed this task from Special:Notifications gives a PHP fatal error to PHP fatal error on Special:Notifications: Argument 1 passed to EchoEventPresentationModel::getTruncatedTitleText() must be an instance of Title, null given.Apr 21 2018, 1:20 PM

Change 428535 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/Thanks@master] Fix canRender and add greppable messages for dynamic keys

https://gerrit.wikimedia.org/r/428535

Change 428536 had a related patch set uploaded (by Catrope; owner: Samwilson):
[mediawiki/extensions/Thanks@REL1_31] Fix canRender and add greppable messages for dynamic keys

https://gerrit.wikimedia.org/r/428536

Change 428537 had a related patch set uploaded (by Catrope; owner: Samwilson):
[mediawiki/extensions/Thanks@wmf/1.31.0-wmf.30] Fix canRender and add greppable messages for dynamic keys

https://gerrit.wikimedia.org/r/428537

Change 428535 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Fix canRender and add greppable messages for dynamic keys

https://gerrit.wikimedia.org/r/428535

Change 428537 merged by jenkins-bot:
[mediawiki/extensions/Thanks@wmf/1.31.0-wmf.30] Fix canRender and add greppable messages for dynamic keys

https://gerrit.wikimedia.org/r/428537

Mentioned in SAL (#wikimedia-operations) [2018-04-23T23:32:19Z] <catrope@tin> Synchronized php-1.31.0-wmf.30/extensions/Thanks/includes/EchoCoreThanksPresentationModel.php: Fix fatal error in Thanks notifications (T192711) (duration: 00m 58s)

Change 428536 merged by jenkins-bot:
[mediawiki/extensions/Thanks@REL1_31] Fix canRender and add greppable messages for dynamic keys

https://gerrit.wikimedia.org/r/428536

Etonkovidova closed this task as Resolved.May 4 2018, 4:23 PM
Etonkovidova claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM